| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - f -

- fA : MagCalibration
- fAccGl : fsl_orientation_DataBuffer_t , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fAlphaOver2 : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fAlphaOver2Qwb : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fAlphaOver2Sq : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fAlphaOver2SqQvYQwb : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- faSe : fsl_orientation_DataBuffer_t
- fB : MagCalibration
- fBcAvg : MagSensor
- fbErrPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fbPl : fsl_orientation_DataBuffer_t , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fBs : MagSensor
- fBsAvg : MagSensor
- fChi : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fChiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fcosDeltaPl : SV_9DOF_GBY_KALMAN
- fCountsPeruT : MagSensor
- fCPerCount : PressureSensor
- fDegPerSecPerCount : GyroSensor
- fDelta : fsl_orientation_DataBuffer_t , SV_6DOF_GB_BASIC
- fDeltaErrPl : SV_9DOF_GBY_KALMAN
- fDeltaPl : fsl_orientation_DataBuffer_t , SV_9DOF_GBY_KALMAN
- fdeltat : SV_1DOF_P_BASIC , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC
- fDisGl : fsl_orientation_DataBuffer_t , SV_9DOF_GBY_KALMAN
- fFitErrorpc : MagCalibration
- fgKalmandeltat : SV_9DOF_GBY_KALMAN
- fgPerCount : AccelSensor
- fGs : AccelSensor
- fGsAvg : AccelSensor
- fGyrodeltat : SV_3DOF_Y_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fH : PressureSensor
- fHp : fsl_orientation_DataBuffer_t
- fieldStrength : isf_MagneticFieldStrength1D_EngFixed_t , isf_MagneticFieldStrength1D_float_t , isf_MagneticFieldStrength1D_RawCount_t , isf_MagneticFieldStrength2D_EngFixed_t , isf_MagneticFieldStrength2D_float_t , isf_MagneticFieldStrength2D_RawCount_t , isf_MagneticFieldStrength3D_EngFixed_t , isf_MagneticFieldStrength3D_float_t , isf_MagneticFieldStrength3D_RawCount_t
- fifos : App1AppInstance_t
- fifoState : isf_fifo_t
- filter_step : mma955x_appConfigRegister_t
- filter_time : mma955x_appConfigRegister_t
- finvA : MagCalibration
- finvW : MagCalibration
- fK10x7 : SV_9DOF_GBY_KALMAN
- fK6x3 : SV_6DOF_GY_KALMAN
- fKalmandeltat : SV_9DOF_GBY_KALMAN
- Flash : isf_dsa_ControlInterface_st
- flashPostprocessCommands : fxlc95000_Sensor_Specific_Settings_t
- flashPreprocessCommands : fxlc95000_Sensor_Specific_Settings_t
- fLPChi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPDelta : SV_6DOF_GB_BASIC
- flpf : SV_1DOF_P_BASIC , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPH : SV_1DOF_P_BASIC
- fLPPhi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPPsi : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPq : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPR : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPRho : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPRVec : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fLPT : SV_1DOF_P_BASIC
- fLPThe : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_6DOF_GB_BASIC
- fmatA : MagCalibration
- fmatB : MagCalibration
- fmPerCount : PressureSensor
- fN : conversionBuffer_t
- fnAcquireLock : protocol_t
- fnConfigure : protocol_t
- fnDisEndPoint : protocol_t
- fnGetConfig : protocol_t
- fnGetEndPointAt : protocol_t
- fnGetState : protocol_t
- fnInit : protocol_t
- fnRead : protocol_t
- fnReleaseLock : protocol_t
- fnStart : protocol_t
- fnStop : protocol_t
- fnWrite : protocol_t
- fOmega : fsl_orientation_DataBuffer_t , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fPhi : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fPhiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fPsi : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fPsiPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fq : fsl_orientation_DataBuffer_t , SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC
- fqgErrPl : fsl_orientation_DataBuffer_t , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fqmErrPl : fsl_orientation_DataBuffer_t , SV_9DOF_GBY_KALMAN
- fqPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fQv : SV_6DOF_GY_KALMAN
- fQv7x1 : SV_9DOF_GBY_KALMAN
- fQw10x10 : SV_9DOF_GBY_KALMAN
- fQw6x6 : SV_6DOF_GY_KALMAN
- fQwCT10x7 : SV_9DOF_GBY_KALMAN
- fQwCT6x3 : SV_6DOF_GY_KALMAN
- fR : SV_3DOF_B_BASIC , SV_3DOF_G_BASIC , SV_3DOF_Y_BASIC , SV_6DOF_GB_BASIC
- fRho : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fRhoPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fRmatrix : fsl_orientation_DataBuffer_t
- fRPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fRVec : fsl_orientation_DataBuffer_t , SV_3DOF_Y_BASIC
- fRVecPl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fsdouble : fxas21002_Sensor_Specific_Settings_t
- fsinDeltaPl : SV_9DOF_GBY_KALMAN
- fT : PressureSensor
- fThe : fsl_orientation_DataBuffer_t , isf_Orientation3D_Euler_EngFloat_t , SV_3DOF_Y_BASIC
- fThePl : SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN
- fTp : fsl_orientation_DataBuffer_t
- ftrB : MagCalibration
- ftrFitErrorpc : MagCalibration
- ftrinvW : MagCalibration
- ftrV : MagCalibration
- fullScaleRange : Analog_1_Sensor_Specific_Settings_t
- fusionState : fsl_fusion_DeviceDescriptor_t
- fuTPerCount : MagSensor
- fV : MagCalibration
- fvecA : MagCalibration
- fvecB : MagCalibration
- fVelGl : SV_9DOF_GBY_KALMAN
- fYpBuffer : GyroSensor
- fZErr : fsl_orientation_DataBuffer_t , SV_6DOF_GY_KALMAN , SV_9DOF_GBY_KALMAN

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.